:root {
    --primary-color: #000814;
    --secundary-color: #001D3D;
    --thirdy-color: #003566;
    --fourth-color: #FFC300;
    --fifth-color: #FFD60A;
}

#modal-overlay {
    display: flex;
    position: fixed;
    top: 0;
    left: 0;
    width: 100vw;
    height: 100dvh;
    justify-content: center;
    align-items: center;
}


.overlay {
    visibility: hidden;
    transition: all 0.4s ease;
    opacity: 0;
}

.open {
    visibility: visible;
    opacity: 1;
}

#modal-background {
    background-color: var(--thirdy-color);
    width: 100%;
    height: 100%;
    position: absolute;
    opacity: 0.4;
}

#modal-container {
    z-index: 1;
    background-color: var(--fourth-color);
    padding: 1rem 3rem;
    border-radius: 10px;
    color: #000;
    position: relative;
}

#close-modal {
    position: absolute;
    right: 0;
    top: 0;
    margin: 1rem;
    cursor: pointer;
}

#movie-title {
    padding: 1rem 0;
}

#modal-body {
    display: flex;
    justify-content: center;
    padding: 1rem 0;
}

#movie-poster {
    border-radius: 10px;
}

#movie-info {
    display: flex;
    flex-direction: column;
    justify-content: space-around;
    max-width: 300px;
    padding-left: 2rem;
}

#add-to-list {
    border: 3px solid var(--primary-color);
    padding: 0.3rem 0;
    width: 100%;
    border-radius: 10px;
    font-weight: bold;
    box-shadow: 2px 2px 10px #000;
}

#add-to-list:focus,
#add-to-list:hover {
    background-color: var(--secundary-color);
    color: var(--fourth-color);
}